#Перепишите решение последней задачи из шестого урока так, чтобы она не использовала
# рекурсию и не вычисляла все промежуточные количества вариантов путей множество раз
# (что крайне неэффективно), а сохраняла их в списке.
a = int(input("Введите первое число"))
b = int(input("Введите второе число"))
a_list = []
for element in range(a, b+1):
    a_list.append(element)
print(a_list)
print(sum(a_list))
